#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

int getline(char s[], int n){
int i,c;

for(i=0;i<n  && (c=getchar())!=EOF && c!='\n'; i++)
{
	s[i]=c;
}
s[i]='\0';
return i;
}


void main(void)
{
int i,h,n=0,k,j;
char eredeti[128];
char forditott[128];

do{
printf("Adjon meg egy szamot, a program kiirja a forditottjat, es az osszeguket!\n");

getline(eredeti,128);

h=strlen(eredeti);

for(i=h;i>=0;i--)
{
forditott[n]=eredeti[i-1];
n++;
}

forditott[h+1]='\0';

k=atoi(eredeti);
j=atoi(forditott);

printf("A szam forditottja: %d\n", j);
printf("A 2 szam osszege: %d\n", k+j);
}while(k!=0);

}
